#include <Widget/InfoIcon/InfoIcon.hpp>
#include <ToolTip/ToolTip.hpp>

InfoIcon::InfoIcon(std::string tip) : m_tip(tip) {}

glm::ivec2 InfoIcon::getMinSize()
{
    return glm::ivec2(8, 8);
}

void InfoIcon::draw(GraphicsContext &context)
{
    context.color = glm::vec4(1.0f);
    context.drawMaterial(Material::infoIcon, 0, 0);

    if (isMouseInside())
    {
        ToolTip &tip = context.createToolTip();
        tip.addLine(m_tip);
    }
}